Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224666 - unaligned access messages from setroubleshootd
Summary: unaligned access messages from setroubleshootd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: rawhide
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: fedora-ia64
TreeView+ depends on / blocked
 
Reported: 2007-01-26 21:57 UTC by Doug Chapman
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-23 15:24:19 UTC


Attachments (Terms of Use)

Description Doug Chapman 2007-01-26 21:57:32 UTC
Description of problem:

lots of unaligned access messages, all appear to be the same address and ip:

setroubleshootd(1913): unaligned access to 0x200000000652e56c, ip=0x20000000001446b0
(repeated often)


Version-Release number of selected component (if applicable):
rawhide-20070125
setroubleshoot-1.8.14-1.fc7

How reproducible:
100%

Steps to Reproduce:
1. run rawhide on an ia64 system with selinux enabled
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John Dennis 2008-01-09 22:59:03 UTC
Is this still happening?

hmm... this might be hard to figure out at this point. The unaligned accesses
are almost certainly coming from a library setroubleshoot linked with. To
determine that we'll need a link map from a system demonstrating the problem to
correlate this to library.

Comment 2 Doug Chapman 2008-01-23 15:24:19 UTC
I don't appear to be seeing this anymore on my rawhide build so closing it.

thanks,

- Doug



Note You need to log in before you can comment on or make changes to this bug.